Subject: Re: bug#27952: 26.0.50; Combine archive-int-to-mode and tar-grind-file-mode

From: Andreas Schwab <[email-masked]>
Date: Wed, 16 Aug 2017 14:08:10 +0200

On Aug 16 2017, Tino Calancha <[email-masked]> wrote:

> +Note: This is not the inverse of `file-modes-symbolic-to-number';
> +The reason is that this function might return an string containing 'S'
> +or 'T' i.e., not valid characters for `file-modes-symbolic-to-number'.
> +For example, (file-modes-symbolic-to-number \"o=t\") returns 512;
> +and (file-modes-number-to-symbolic 512 t) returns \"o=T\"."

Why would it use uppercase T in the detailed case?  Uppercase is only
needed when it would overlay the 'x' position in the non-detailed case.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."